Bug 1653760 - Intel Corporation Wireless 8265 / 8275 (rev 78) - 7% Packet lost
Summary: Intel Corporation Wireless 8265 / 8275 (rev 78) - 7% Packet lost
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: iwlwifi-firmware
Version: 29
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-27 15:18 UTC by vivien.frasca
Modified: 2019-11-27 20:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 20:42:00 UTC


Attachments (Terms of Use)

Description vivien.frasca 2018-11-27 15:18:18 UTC
With a wifi card Intel Corporation Wireless 8265 / 8275 (rev 78), I've got a lot of packet lost when doing a ping on a local device (internet box for example).

I'm doing a same ping with a device under LineageOS (with Termux) and there is no packet lost.

How reproducible:

Every time

Steps to Reproduce:
1. ping 192.168.1.1 (or any IP on your LAN)

Actual results:

PING 192.168.1.1 (192.168.1.1) 56(84) bytes of data.
64 bytes from 192.168.1.1: icmp_seq=1 ttl=63 time=3.98 ms
64 bytes from 192.168.1.1: icmp_seq=2 ttl=63 time=3.72 ms

[ .. Truncated for brevity ]

64 bytes from 192.168.1.1: icmp_seq=114 ttl=63 time=5.23 ms
64 bytes from 192.168.1.1: icmp_seq=116 ttl=63 time=4.82 ms
64 bytes from 192.168.1.1: icmp_seq=117 ttl=63 time=4.95 ms
64 bytes from 192.168.1.1: icmp_seq=118 ttl=63 time=5.02 ms
64 bytes from 192.168.1.1: icmp_seq=119 ttl=63 time=4.88 ms
64 bytes from 192.168.1.1: icmp_seq=120 ttl=63 time=4.89 ms
64 bytes from 192.168.1.1: icmp_seq=121 ttl=63 time=5.73 ms
64 bytes from 192.168.1.1: icmp_seq=122 ttl=63 time=5.17 ms
64 bytes from 192.168.1.1: icmp_seq=123 ttl=63 time=5.12 ms
64 bytes from 192.168.1.1: icmp_seq=124 ttl=63 time=5.06 ms
^C
--- 192.168.1.1 ping statistics ---
124 packets transmitted, 117 received, 5.64516% packet loss, time 470ms
rtt min/avg/max/mdev = 3.633/5.962/116.138/10.270 ms

Expected results:

--- 192.168.1.1 ping statistics ---
124 packets transmitted, 124 received, 0 packet loss, time 470ms
rtt min/avg/max/mdev = 3.633/5.962/116.138/10.270 ms

Additional info:

$ lspci | grep  Network
04:00.0 Network controller: Intel Corporation Wireless 8265 / 8275 (rev 78)

$ uname -r
4.19.4-300.hdg2.fc29.x86_64 (see https://bugzilla.redhat.com/show_bug.cgi?id=1645070, but this problem occur on kernel 4.19.4-300.fc29.x86_64 too)

$ dmesg | grep iwlwifi
[    4.573734] iwlwifi 0000:04:00.0: enabling device (0000 -> 0002)
[    4.580313] iwlwifi 0000:04:00.0: loaded firmware version 36.7596afd4.0 op_mode iwlmvm
[    4.682116] iwlwifi 0000:04:00.0: Detected Intel(R) Dual Band Wireless AC 8265, REV=0x230
[    4.742029] iwlwifi 0000:04:00.0: base HW address: 00:e1:8c:4e:5a:75
[    4.827837] iwlwifi 0000:04:00.0 wlp4s0: renamed from wlan0

If you need more informations please ask me.

Comment 1 vivien.frasca 2018-12-14 11:13:02 UTC
I've tried disabling the power saving mode for this interface :

$ sudo iw wlp4s0 set power_save off

Now pings are without any packet loss.

How can I disable the power saving after all reboots ?

Comment 2 vivien.frasca 2018-12-14 13:14:01 UTC
Ok self answer (maybe useful for other people that have this problem too)

Follow those steps to enable rc.local systemd service : https://www.linuxbabe.com/linux-server/how-to-enable-etcrc-local-with-systemd

In the /etc/rc.local add this content (may be change the device ID wlp4s0 according to your own configuration):

#!/bin/bash

/usr/sbin/iw wlp4s0 set power_save off

exit 0

But disabling the power saving is not really a good fix.

Does anybody know why the network card seem to « hibernate » when packets are sent and waiting for the response ?

Comment 3 sinkovicz.zoltan 2019-01-15 18:02:06 UTC
I used Lenovo Thinkpad T460s with Intel Corporation Wireless 8260 (rev 3a).

For a while, maybe since I upgraded to Fedora 29, the wifi connection is constantly breaking. 

I see similar things like Vivien. 

I try set power_save off but there was no change. 
And I tested 4.20. kernel which also failed to succeed

Comment 4 Ben Cotton 2019-10-31 20:10:13 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2019-11-27 20:42:00 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.